<?php 
class Resource extends DataObject
{

	static $default_sort = "SortOrder";
	
	static $db = array (
		'Name' => 'Text',
		'Caption' => 'Text',
		"SortOrder" => "Int"
		'Link' => 'Varchar'
	);

	static $has_one = array (
		'Attachment' => 'Image',
		'GalleryPage' => 'GalleryPage'
	);
	
	public function getCMSFields_forPopup()
	{
		return new FieldSet(
			new TextField('Name'),
			new TextareaField('Caption'),
			new TextField('Link')
			new FileIFrameField('Attachment')
		);
	}
	
	public function Thumbnail()
	{
		return $this->Attachment()->CroppedImage(200,100);
	}
	
	
	public function Large()
	{	
		if($this->Attachment()->getWidth() > $this->Attachment()->getHeight())
		return $this->Attachment()->SetWidth(600);
		else
		return $this->Attachment()->SetHeight(400);
	}
	
}


?>